<div *ngFor="let skeleton of skeletons" class="skeleton"
  [style.top.rem]="skeleton.top"
  [style.left]="unit(skeleton.left)"
  [style.width]="unit(skeleton.width)"
  [style.height.rem]="skeleton.height"
  [style.borderRadius]="skeleton.radius ? unit(skeleton.radius) : null"
  [style.backgroundColor]="skeleton.color || color"></div>
<div class="skeleton-highlight" #skeletonHighlight [style.backgroundImage]="highlightColor"></div>
